## Apache Zeta Components Manual :: Docs For Class ezcDocumentPdfOptions

### Document::ezcDocumentPdfOptions

### Class ezcDocumentPdfOptions

Class containing the basic options for the ezcDocumentDocbook class.

Source for this file: /Document/src/options/document_pdf.php

    ezcBaseOptions
       |
       --ezcDocumentOptions
          |
          --ezcDocumentPdfOptions

Version: | //autogen//

### Constants

`COPY = 4` | User may copy contents from the PDF document
`EDIT = 1` | User may edit annotations and form field in the PDF
`MODIFY = 8` | User may modify the contents of the PDF document
`PRINTABLE = 2` | User may print the PDF document

### Properties

bool | read/write | `$compress` Indicates whether to compress the generated PDF.
ezcDocumentPdfDriver | read/write | `$driver` Driver used to generate the actual PDF
ezcDocumentPdfHyphenator | read/write | `$hyphenator` Hyphenator to use for word hyphenation
string | read/write | `$ownerPassword` Password, which will be required to chnage the permissions of the PDF document.
int | read/write | `$permissions` User permissions for the document. Defaults to all permissions. May be any combination of the following flags: ezcDocumentPdfOptions::EDIT Edit annotations and form fields ezcDocumentPdfOptions::PRINTABLE User may print the document ezcDocumentPdfOptions::COPY User may copy contents ezcDocumentPdfOptions::MODIFY User may edit the contents
ezcDocumentPdfTableColumnWidthCalculator | read/write | `$tableColumnWidthCalculator` Class responsible to obtain sensible column width values from a table specification by introspecting its contents.
ezcDocumentPdfTokenizer | read/write | `$tokenizer` Tokenizer used to split strings into single words
string | read/write | `$userPassword` Password, which will be required to access the PDF document.

### Inherited Member Variables

From ezcDocumentOptions
protected | `ezcDocumentOptions::$properties`

### Method Summary

public ezcDocumentPdfOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcDocumentPdfOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

Documentation generated by phpDocumentor 1.4.3